Library Version 18.1.40

DB->get_open_flags()
Prev | Chapter 2. The DB Handle | Next

## DB->get_open_flags()

    #include <db.h>

    int
    DB->get_open_flags(DB *db, u_int32_t *flagsp);

The `DB->get_open_flags()` method returns the current open method flags. That is, this method returns the flags that were specified when DB->open() was called.

The `DB->get_open_flags()` method may not be called before the `DB->open()` method is called.

The `DB->get_open_flags()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### flagsp

The `DB->get_open_flags()` method returns the current open method flags in flagsp.

### Class

DB

### See Also

Database and Related Methods

Prev | Up | Next
DB->get_multiple() | Home | DB->get_partition_callback()